com.io7m.jcanephora.cursors

## Interface JCGLRG32IReadableType

- All Superinterfaces:
    com.io7m.jpra.runtime.java.JPRAValueType
  All Known Subinterfaces:
    JCGLRG32IType
  All Known Implementing Classes:
    JCGLRG32IByteBuffered

      public interface JCGLRG32IReadableType
      extends com.io7m.jpra.runtime.java.JPRAValueType

  The readable interface to values of the `JCGLRG32I` record type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getG()`
    `int` | `getR()`
    `int` | `metaGOffsetFromCursor()`
    `int` | `metaGOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerSigned` | `metaGType()`
    `int` | `metaROffsetFromCursor()`
    `int` | `metaROffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerSigned` | `metaRType()`

    - ### Methods inherited from interface com.io7m.jpra.runtime.java.JPRAValueType

      `sizeOctets`

- - ### Method Detail

    - #### metaROffsetFromType

          int metaROffsetFromType()

      Returns:
        The offset in octets of the `r` field, from the start of the type

    - #### metaROffsetFromCursor

          int metaROffsetFromCursor()

      Returns:
        The offset in octets of the `r` field, from the cursor

    - #### metaRType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerSigned metaRType()

      Returns:
        The type of the `r` field

    - #### getR

          int getR()

      Returns:
        The value of the `r` field

    - #### metaGOffsetFromType

          int metaGOffsetFromType()

      Returns:
        The offset in octets of the `g` field, from the start of the type

    - #### metaGOffsetFromCursor

          int metaGOffsetFromCursor()

      Returns:
        The offset in octets of the `g` field, from the cursor

    - #### metaGType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerSigned metaGType()

      Returns:
        The type of the `g` field

    - #### getG

          int getG()

      Returns:
        The value of the `g` field

Copyright © 2016 <code@io7m.com> http://io7m.com